%define name 	f-spot
%define version	0.8.2
%define release	%mkrel 2
%define _requires_exceptions mono.libgphoto2-sharp\\|mono.Mono.Addins\\|mono.gnome-keyring-sharp\\|libGL.so.1\\|devel(libnvidia-tls)\\|devel(libGLcore)

Summary:	A full-featured personal photo management application for the GNOME desktop
Summary(de):	Eine voll ausgestattete persönliche Foto-Management-Anwendung für den GNOME-Desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
Patch:		f-spot-0.3.2-dllmap.patch
Patch1:		f-spot-0.5.0.3-sqlite3-update.patch
Patch3: 	f-spot-0.6.1.3-no-multiple-files-in-viewer.patch
Patch5: 	f-spot-mono2.8.patch
License:	GPLv2+
Group: 		Graphics
URL:		http://f-spot.org
BuildRequires:  intltool
BuildRequires:	gnome-sharp2-devel >= 2.8.0
BuildRequires:	gnome-desktop-sharp-devel
BuildRequires:  gnome-keyring-sharp
BuildRequires:  libGConf2-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:	unique-devel
BuildRequires:	mono-devel
BuildRequires:	mono-data-sqlite
BuildRequires:	libexif-devel
BuildRequires:	lcms-devel
BuildRequires:	sqlite-devel
BuildRequires:	libgphoto-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
BuildRequires:	ndesk-dbus-glib
BuildRequires:  gnome-screensaver
BuildRequires:  gettext-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	mono-flickrnet
BuildRequires:	mono-addins
Requires:	sqlite-tools
Requires:	sqlite3-tools
Requires:	%mklibname exif 12
Requires:	%mklibname gphoto 2
Requires:	libmesagl1
Requires:	mono-addins
Requires:	libmono0
Requires(post): shared-mime-info scrollkeeper
Requires(postun): shared-mime-info scrollkeeper
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
F-Spot is a full-featured personal photo management application
for the GNOME desktop.

Features:
* Simple user interface
* Photo editor
* Color adjustments
* Tag icon editor
* Create photo cd
* Export to web

%description -l de
Eine voll ausgestattete persönliche Foto-Management-Anwendung 
für den GNOME-Desktop

Features:
* Einfache Benutzeroberfläche
* Foto-Editor
* Farbanpassungen
* Tag Icon-Editor
* Foto-CD´s erstellen 
* Export ins Web


%prep
%setup -q
cd src/Clients/MainApp/
%patch1 -p2 -b .sqlite3-update
cd ../../../data/desktop-files/
%patch3 -p1 -b .multiplefile
cd ../..
%patch5 -p1

%build
%configure2_5x \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-static \
	--with-gnome-screensaver-privlibexecdir=%_libdir/gnome-screensaver
make

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std

rm -f %buildroot%_libdir/%name/libfspot*a

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

rm -rf %{buildroot}/%_libdir/pkgconfig/f-spot.pc
find $RPM_BUILD_ROOT \( -name '*.exe' -or -name '*.dll' \) \
     -exec chmod a+x {} \;


%find_lang %name --with-gnome

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_icon_cache hicolor
%update_scrollkeeper
%update_desktop_database

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do INP1= rm -rf /home/$idx/.config/f-spot
done


%postun
%clean_menus
%clean_icon_cache hicolor
%clean_scrollkeeper
%clean_desktop_database

%preun
%preun_uninstall_gconf_schemas %name

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README TODO
%_sysconfdir/gconf/schemas/f-spot.schemas
%_bindir/%name
%_bindir/%name-import
%_bindir/%name-sqlite-upgrade
%dir %_libexecdir/gnome-screensaver/
%_libexecdir/gnome-screensaver/f-spot-screensaver
%dir %_libdir/%name
%_libdir/%name/*.dll*
%_libdir/%name/*.exe*
%_libdir/%name/lib*.so*
%_libdir/%name/*.addins
%dir %_libdir/%name/Extensions
%_libdir/%name/Extensions/FSpot.Editors.BWEditor.dll*
%_libdir/%name/Extensions/FSpot.Editors.BlackoutEditor.dll*
%_libdir/%name/Extensions/FSpot.Editors.FlipEditor.dll*
%_libdir/%name/Extensions/FSpot.Editors.PixelateEditor.dll*
%_libdir/%name/Extensions/FSpot.Editors.ResizeEditor.dll*
%_libdir/%name/Extensions/FSpot.Exporters.CD.dll*
%_libdir/%name/Extensions/FSpot.Exporters.CoverTransition.dll*
%_libdir/%name/Extensions/FSpot.Exporters.Facebook.dll*
%_libdir/%name/Extensions/FSpot.Exporters.Flickr.dll*
%_libdir/%name/Extensions/FSpot.Exporters.Folder.dll*
%_libdir/%name/Extensions/FSpot.Exporters.Gallery.dll*
%_libdir/%name/Extensions/FSpot.Exporters.PicasaWeb.dll*
%_libdir/%name/Extensions/FSpot.Exporters.SmugMug.dll*
%_libdir/%name/Extensions/FSpot.Exporters.Tabblo.dll*
%_libdir/%name/Extensions/FSpot.Exporters.Zip.dll*
%_libdir/%name/Extensions/FSpot.Tools.ChangePhotoPath.dll*
%_libdir/%name/Extensions/FSpot.Tools.DevelopInUFRaw.dll*
%_libdir/%name/Extensions/FSpot.Tools.LiveWebGallery.dll*
%_libdir/%name/Extensions/FSpot.Tools.MergeDb.dll*
%_libdir/%name/Extensions/FSpot.Tools.RawPlusJpeg.dll*
%_libdir/%name/Extensions/FSpot.Tools.RetroactiveRoll.dll*
%_libdir/%name/Extensions/FSpot.Tools.ScreensaverConfig.dll*
%_libdir/%name/Extensions/Mono.Google.dll*
%_libdir/%name/Extensions/Mono.Tabblo.dll*
%_libdir/%name/Extensions/SmugMugNet.dll*
%_datadir/applications/%name.desktop
%_datadir/applications/%name-import.desktop
%_datadir/applications/%name-view.desktop
%_datadir/applications/screensavers/f-spot-screensaver.desktop
%_datadir/f-spot
%_iconsdir/hicolor/*/*/*



%changelog
* Thu May 12 2011 Texstar <texstar at gmail.com> 0.8.2-2pclos2011
- add missing dependency libmono0

* Wed Jan 05 2011 Texstar <texstar at gmail.com> 0.8.2-1pclos2011
- 0.8.2

* Wed Oct 13 2010 maik3531 <maik3531 at yahoo.de> 0.8.0-1pclos2010
- Retrying: 0.8.0

* Mon Aug 09 2010 Texstar <texstar at gmail.com> 0.6.2-1pclos2010
- back down to 0.6.2

* Fri Jul 23 2010 Texstar <texstar at gmail.com> 0.7.1-3pclos2010
- add mono-addins as required dependency

* Sat Jul 17 2010 Texstar <texstar at gmail.com> 0.7.1-2pclos2010
- add missing BR mono-addins

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.7.1-1pclos2010
- 0.7.1
- add german description

* Sat Jun 19 2010 Texstar <texstar at gmail.com> 0.7.0-1pclos2010
- 0.7.0

* Mon May 17 2010 Texstar <texstar at gmail.com> 0.6.1.5-4pclos2010
- rebuild try to fix libgl dependency

* Thu Jan 07 2010 Texstar <texstar at gmail.com> 0.6.1.5-3pclos2010
- rebuild for new directfb

* Thu Nov 11 2009 Texstar <texstar at gmail.com> 0.6.1.5-2pclos2010
- rebuild with exceptions

* Fri Nov 07 2009 johnnyblack <johnnyblack at inbox.com> 0.6.1.5-1pclos2010
- gcc update
- 0.6.1.5

